Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 279483 - net-dns/pdns-recursor: fails to build with gcc-4.4
Summary: net-dns/pdns-recursor: fails to build with gcc-4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Sven Wegener
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-07-28 14:52 UTC by Diego Elio Pettenò (RETIRED)
Modified: 2009-08-10 08:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (pdns-recursor-3.1.7:20090728-032911.log,4.30 KB, text/plain)
2009-07-28 14:53 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-28 14:52:47 UTC
As per summary, check attached build log.

And _please_ try not to fix it in the wrong way: http://blog.flameeyes.eu/2009/07/02/how-_not_-to-fix-gcc-4-4-bugs
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2009-07-28 14:53:20 UTC
Created attachment 199445 [details]
Build log
Comment 2 Samuli Suominen gentoo-dev 2009-08-10 08:14:45 UTC
*pdns-recursor-3.1.7.1 (03 Aug 2009)

  03 Aug 2009; Sven Wegener <swegener@gentoo.org>
  +pdns-recursor-3.1.7.1.ebuild,
  +files/pdns-recursor-3.1.7.1-error-message.patch:
  Version bump.

^ Seems to be fixed with this.